# Level::LevelClass Class Reference

Inherits Class.

List of all members.

## Public Member Functions

| LevelClass ()
virtual LogString | getName () const
virtual LevelPtr | toLevel (const LogString &sArg) const
virtual LevelPtr | toLevel (int val) const

## Constructor & Destructor Documentation

LevelClass | ( |  | ) | `[inline]`

## Member Function Documentation

virtual LogString getName | ( |  | ) | const`[inline, virtual]`

| Implements Class.

virtual LevelPtr toLevel | ( | int | val | ) | const`[inline, virtual]`

virtual LevelPtr toLevel | ( | const LogString & | sArg | ) | const`[inline, virtual]`

The documentation for this class was generated from the following file:

- level.h